wireless adapter not found on dell mini9 / u8.10 / kernel 2.6.27-11

Bug #362980 reported by anton_es on 2009-04-17
2
Affects Status Importance Assigned to Milestone
linux-restricted-modules (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: network-manager

i had the following situation under ubuntu 8.10:
kernel 2.6.27-11 wireless works / wired not able to connect to my router
kernel 2.6.27-9 both work

after a recent update / don't know which /
I can boot into the newest kernel 2.6.27-11 and I can use wired again, meaning it is present and also finds my router and gets an ip-address and lease
BUT: now the wireless adapter is not found anymore and I can't connect to the wireless network
it works on the older kernel 2.6.27-9 without any problems (glad I kept it) so I don't think i deactivated wlan via software. I checked that wlan is present in bios, too (it must be since it works under the old kernel)

i added an output of daemon.log.
it states in daemon.log that some dell kill switch has been found and it cant start my wlan
(at least I think so).

anton_es (anton-schnurer) wrote :
anton_es (anton-schnurer) wrote :
Alexander Sack (asac) wrote :

mini 9 needs the wl driver which is - afaik - in linux-restricted-modules package. do you have that installed?

also run lsmod and attach the output please.

Changed in network-manager (Ubuntu):
status: New → Incomplete
anton_es (anton-schnurer) wrote :

thanks, i will do the lsmod.I did have the restricted driver installed and like I said, everything (!) is working under the old kernel 2.6.24-9. when the update manager switched me to the first 2.6.24-11 and the network manager got its updates (a few weeks ago) all the problems started. first wired did not work anymore (couldn't find my router) and now wired works but my mini behaves as if there is NO wireless card installed anymore under the latest kernel. will add lsmod output later. but to make clear again: wired & wireless DO WORK under 2.4.26-9.

anton_es (anton-schnurer) wrote :

sorry for the confusion, it's of course kernel 2.6.27-9 and 11

Alexander Sack (asac) wrote :

mini 9 works fine here in jaunty (havent tried intrepid). in any case; not a NM issue, but a driver one.

affects: network-manager (Ubuntu) → linux-restricted-modules (Ubuntu)
Changed in linux-restricted-modules (Ubuntu):
status: Incomplete → New
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers